: Class XSC

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object.pagemark
Class XSC

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.pagemark.PageMark
                  |
                  +--com.etymon.pj.object.pagemark.PageMarkOperator
                        |
                        +--com.etymon.pj.object.pagemark.XSC

All Implemented Interfaces:
  java.lang.Cloneable

public class XSC
extends PageMarkOperator

Color operator: SC.

Constructor Summary
`XSC(PjNumber c1, PjNumber c2, PjNumber c3)`
`XSC(PjNumber c1, PjNumber c2, PjNumber c3, PjNumber c4)`

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`boolean` | `equals(java.lang.Object obj)`
`PjNumber` | `getC1()`
`PjNumber` | `getC2()`
`PjNumber` | `getC3()`
`PjNumber` | `getC4()`
`long` | `writePdf(java.io.OutputStream os)` Writes this object to a file in PDF format.

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSC

    public XSC(PjNumber c1,
               PjNumber c2,
               PjNumber c3,
               PjNumber c4)

### XSC

    public XSC(PjNumber c1,
               PjNumber c2,
               PjNumber c3)

Method Detail

### getC1

    public PjNumber getC1()

### getC2

    public PjNumber getC2()

### getC3

    public PjNumber getC3()

### getC4

    public PjNumber getC4()

### writePdf

    public long writePdf(java.io.OutputStream os)
                  throws java.io.IOException

  Description copied from class: `BaseObject`
  Writes this object to a file in PDF format.
  Overrides:
    `writePdf` in class `BaseObject`
  Following copied from class: `com.etymon.pj.object.BaseObject`
  Parameters:
    `raf` - the file to write to.
  Returns:
    the number of bytes written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### clone

    public java.lang.Object clone()

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `BaseObject`
  Returns:
    a deep copy of this object.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD